Emergency vBulletin patch fixes SQL injection vulnerability

Attackers could exploit the flaw to steal information from the databases of websites running vBulletin 5

Developers of the popular vBulletin Internet forum software have issued emergency patches Wednesday in order to fix a SQL injection vulnerability that could allow attackers to read and manipulate information stored in the databases of vBulletin-based sites.

Code patches that need to be applied manually were released for versions 5.0.4, 5.0.5, 5.1.0, 5.1.1 and 5.1.2 of vBulletin and can be downloaded by registered customers. The vulnerability only affects vBulletin 5 -- officially known as vBulletin 5 Connect -- and not vBulletin 4.

"The issue may allow attackers to perform SQL injection attacks on your database," said Wayne Luke, the vBulletin technical support lead, in an announcement on the official support forum. "It is recommended that all users update as soon as possible."

Customers who have their sites hosted on the vBulletin Cloud service will get the patches automatically as part of regular maintenance, Luke said. VBulletin version 5.1.3, which is currently in alpha stage of development and not ready for production environments, will include the fix in its next release, he said.

SQL injection is a relatively common but dangerous Web application vulnerability that allows attackers to execute malicious SQL commands against a site's database. It can be used to read potentially sensitive information from the database like user details, to write bogus information into the database and in certain cases to even execute arbitrary code on the server.

According to vBulletin Solutions, the company that develops the commercial forum software, over 100,000 community websites run on vBulletin, including some operated by Zynga, Electronic Arts, Sony Pictures, NASA, Valve Corporation and other well known companies.

Attackers have targeted vBulletin-based websites before. Last year hackers stole user email addresses and password hashes from UbuntuForums.org, a community forum for the Ubuntu Linux distribution with over 1.8 million registered accounts. The support forum for the openSUSE Linux distribution, which also runs on vBulletin, was hacked twice in the past; last time in January by a hacker who claimed to have used a previously unknown vBulletin exploit.

The official vBulletin forum itself was compromised in November 2013 after a staging server was accidentally left vulnerable to a vBulletin security issue patched several weeks earlier.

According to a video posted Monday on YouTube, the new SQL injection vulnerability was discovered and reported to the vBulletin developers by a user named Nytro, who's the administrator of a hacker community forum called the Romanian Security Team (RST). Nytro confirmed the availability of patches for the flaw he found Thursday on the RST forum and said that he plans to release details about the exploit in a few days, after people have a chance to update.

FREE Computerworld Insider Guide: IT Certification Study Tips
Join the discussion
Be the first to comment on this article. Our Commenting Policies